From: "Lucio Sauer" <watermanpaint@posteo.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: app-misc/ledger-live-bin/
Date: Tue, 6 Aug 2024 14:10:50 +0000 (UTC) [thread overview]
Message-ID: <1722910300.f4a782fc997f5657d57d0f87215f9d888f936110.watermanpaint@gentoo> (raw)
Message-ID: <20240806141050._R5W5LPQBe09Od8j621EdwC6CcBB-OcxVfvlnI3hJjc@z> (raw)
commit: f4a782fc997f5657d57d0f87215f9d888f936110
Author: Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Tue Aug 6 01:30:07 2024 +0000
Commit: Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Tue Aug 6 02:11:40 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f4a782fc
app-misc/ledger-live-bin: disable automatic updates
Installing the desktop file fixes another runtime issue where it
previously was impossible to close the Ledger Recover screen due to
/usr/bin/ledger-live not being the default handler for the
x-scheme-handler/ledgerlive MIME type.
Instead, the default-url-scheme-handler tried and failed to handle
ledgerlive://myledger.
Bug: https://github.com/LedgerHQ/ledger-live/issues/6785
Closes: https://bugs.gentoo.org/937379
Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>
.../ledger-live-bin-2.79.1-r1.ebuild | 34 ++++++++++++++++++----
.../ledger-live-bin-2.81.2-r1.ebuild | 34 ++++++++++++++++++----
.../ledger-live-bin-2.83.0-r1.ebuild | 34 ++++++++++++++++++----
3 files changed, 87 insertions(+), 15 deletions(-)
diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
index b5f27a67c..ee450216b 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
@@ -3,11 +3,13 @@
EAPI=8
+inherit desktop xdg
+
DESCRIPTION="Manager for the Ledger hardware wallet"
HOMEPAGE="https://www.ledger.com/"
SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64.AppImage"
-S="${WORKDIR}"
+S="${WORKDIR}/squashfs-root"
# logos of Ledger are non-free
LICENSE="ledger-live-ToU MIT"
@@ -25,8 +27,6 @@ RDEPEND="
media-libs/mesa
net-print/cups
sys-apps/dbus
- sys-fs/fuse:0
- sys-libs/zlib
x11-libs/cairo
x11-libs/gtk+:3
x11-libs/libX11
@@ -43,7 +43,31 @@ RDEPEND="
QA_PREBUILT="*"
+src_unpack() {
+ cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die
+ chmod +x ${P}.AppImage || die
+ ./${P}.AppImage --appimage-extract || die
+ rm ${P}.AppImage || die
+}
+
+src_prepare() {
+ default
+ sed -e 's/AppRun --no-sandbox/ledger-live/' \
+ -e '/X-AppImage-Version/d' \
+ -i ledger-live-desktop.desktop || die
+}
+
src_install() {
- cp "${DISTDIR}/ledger-live-desktop-${PV}-linux-x86_64.AppImage" ledger-live || die
- dobin ledger-live
+ exeinto /opt/${PN}
+ doexe chrome{-sandbox,_crashpad_handler} ledger-live-desktop
+ insinto /opt/${PN}
+ doins -r *.{bin,dat,json,pak} locales resources lib*
+ fperms u+s /opt/${PN}/chrome-sandbox
+ domenu ledger-live-desktop.desktop
+ insinto /usr/share
+ doins -r usr/share/icons
+ dosym -r /opt/${PN}/ledger-live-desktop /usr/bin/ledger-live
+ # bug 937379
+ rm "${ED}"/opt/${PN}/resources/app-update.yml || die
+ find "${ED}" -type d -exec chmod 755 {} + || die
}
diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
index b5f27a67c..ee450216b 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
@@ -3,11 +3,13 @@
EAPI=8
+inherit desktop xdg
+
DESCRIPTION="Manager for the Ledger hardware wallet"
HOMEPAGE="https://www.ledger.com/"
SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64.AppImage"
-S="${WORKDIR}"
+S="${WORKDIR}/squashfs-root"
# logos of Ledger are non-free
LICENSE="ledger-live-ToU MIT"
@@ -25,8 +27,6 @@ RDEPEND="
media-libs/mesa
net-print/cups
sys-apps/dbus
- sys-fs/fuse:0
- sys-libs/zlib
x11-libs/cairo
x11-libs/gtk+:3
x11-libs/libX11
@@ -43,7 +43,31 @@ RDEPEND="
QA_PREBUILT="*"
+src_unpack() {
+ cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die
+ chmod +x ${P}.AppImage || die
+ ./${P}.AppImage --appimage-extract || die
+ rm ${P}.AppImage || die
+}
+
+src_prepare() {
+ default
+ sed -e 's/AppRun --no-sandbox/ledger-live/' \
+ -e '/X-AppImage-Version/d' \
+ -i ledger-live-desktop.desktop || die
+}
+
src_install() {
- cp "${DISTDIR}/ledger-live-desktop-${PV}-linux-x86_64.AppImage" ledger-live || die
- dobin ledger-live
+ exeinto /opt/${PN}
+ doexe chrome{-sandbox,_crashpad_handler} ledger-live-desktop
+ insinto /opt/${PN}
+ doins -r *.{bin,dat,json,pak} locales resources lib*
+ fperms u+s /opt/${PN}/chrome-sandbox
+ domenu ledger-live-desktop.desktop
+ insinto /usr/share
+ doins -r usr/share/icons
+ dosym -r /opt/${PN}/ledger-live-desktop /usr/bin/ledger-live
+ # bug 937379
+ rm "${ED}"/opt/${PN}/resources/app-update.yml || die
+ find "${ED}" -type d -exec chmod 755 {} + || die
}
diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
index b5f27a67c..ee450216b 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
@@ -3,11 +3,13 @@
EAPI=8
+inherit desktop xdg
+
DESCRIPTION="Manager for the Ledger hardware wallet"
HOMEPAGE="https://www.ledger.com/"
SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64.AppImage"
-S="${WORKDIR}"
+S="${WORKDIR}/squashfs-root"
# logos of Ledger are non-free
LICENSE="ledger-live-ToU MIT"
@@ -25,8 +27,6 @@ RDEPEND="
media-libs/mesa
net-print/cups
sys-apps/dbus
- sys-fs/fuse:0
- sys-libs/zlib
x11-libs/cairo
x11-libs/gtk+:3
x11-libs/libX11
@@ -43,7 +43,31 @@ RDEPEND="
QA_PREBUILT="*"
+src_unpack() {
+ cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die
+ chmod +x ${P}.AppImage || die
+ ./${P}.AppImage --appimage-extract || die
+ rm ${P}.AppImage || die
+}
+
+src_prepare() {
+ default
+ sed -e 's/AppRun --no-sandbox/ledger-live/' \
+ -e '/X-AppImage-Version/d' \
+ -i ledger-live-desktop.desktop || die
+}
+
src_install() {
- cp "${DISTDIR}/ledger-live-desktop-${PV}-linux-x86_64.AppImage" ledger-live || die
- dobin ledger-live
+ exeinto /opt/${PN}
+ doexe chrome{-sandbox,_crashpad_handler} ledger-live-desktop
+ insinto /opt/${PN}
+ doins -r *.{bin,dat,json,pak} locales resources lib*
+ fperms u+s /opt/${PN}/chrome-sandbox
+ domenu ledger-live-desktop.desktop
+ insinto /usr/share
+ doins -r usr/share/icons
+ dosym -r /opt/${PN}/ledger-live-desktop /usr/bin/ledger-live
+ # bug 937379
+ rm "${ED}"/opt/${PN}/resources/app-update.yml || die
+ find "${ED}" -type d -exec chmod 755 {} + || die
}
next reply other threads:[~2024-08-06 14:10 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-08-06 2:13 Lucio Sauer [this message]
2024-08-06 14:10 ` [gentoo-commits] repo/proj/guru:master commit in: app-misc/ledger-live-bin/ Lucio Sauer
-- strict thread matches above, loose matches on Subject: below --
2024-08-09 2:26 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
2024-08-08 0:27 Lucio Sauer
2024-08-08 0:27 Lucio Sauer
2024-08-06 2:13 Lucio Sauer
2024-08-06 2:13 Lucio Sauer
2024-08-06 2:13 Lucio Sauer
2024-08-06 2:13 Lucio Sauer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1722910300.f4a782fc997f5657d57d0f87215f9d888f936110.watermanpaint@gentoo \
--to=watermanpaint@posteo.net \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox